| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
Muxer Class Reference

The Muxer class is the base class of all Avidemux muxers. More...

## Public Member Functions
void | resetConfiguration ()
| Resets the muxer back to its default configuration.

## Properties
Object | configuration
| Gets an object that holds parameters used to configure the muxer.
String | defaultFileExtension
| Gets the default file extension of the muxer.
String | name
| Gets the user friendly name of the muxer.

## Detailed Description

The Muxer class is the base class of all Avidemux muxers.

Depending on the plugins that are packaged with Avidemux, the following child muxer objects may be available to the ECMA scripting engine:

- AviMuxer
- DummyMuxer
- FfpsMuxer
- FftsMuxer
- FlvMuxer
- MkvMuxer
- Mp4Muxer
- Mp4v2Muxer
- RawMuxer

Example usage:

AviMuxer.resetConfiguration();
AviMuxer.configuration.odmlType = 2;

## Member Function Documentation

void resetConfiguration | ( |  | ) |

Resets the muxer back to its default configuration.

See Also
  configuration

## Property Documentation

Object configuration
| read

Gets an object that holds parameters used to configure the muxer.

See Also
  resetConfiguration